FormComponentHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: FormComponentHandle

# Interface FormComponentHandle

All Known Subinterfaces:
  `ButtonHandle, CheckBoxHandle, ComboBoxHandle, ComponentSelectorHandle, DarkModeSwitcherHandle, DateSpinnerHandle, DateTextFieldHandle, DirectoryChooserHandle, DropdownListHandle, FileAssociationsHandle, FileEditorHandle, FormFileChooserHandle, HtmlDisplayHandle, HyperlinkActionLabelHandle, HyperlinkLabelHandle, InstallationScopeChooserHandle, IntegerTextFieldHandle, KeyValuePairHandle, LabelHandle, LicenseHandle, ListHandle, ListSpinnerHandle, LogFileViewerHandle, MaskTextFieldHandle, MultilineHtmlLabelHandle, MultilineLabelHandle, NumberSpinnerHandle, PasswordFieldHandle, ProgramGroupHandle, ProgressHandle, RadioButtonHandle, RadioButtonsHandle, SimpleLeadingLabelHandle, SliderHandle, StreamlinedInstallationChooserHandle, TextAreaHandle, TextFieldHandle, UpdateScheduleSelectorHandle, UserSelectorHandle`

public interface FormComponentHandle
Root of the install4j form-component handle hierarchy. Every typed `form...` accessor on `ScreenHandle` returns a subtype of this.

Reach this handle via `ScreenHandle.formComponent(String)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormComponentHandle`
  `assertDisabled()`
  `FormComponentHandle`
  `assertEnabled()`
  `FormComponentHandle`
  `assertInvisible()`
  `FormComponentHandle`
  `assertVisible()`
  `String`
  `getId()`
  The install4j form-component id (the id set in the IDE on the form component).
  `boolean`
  `isEnabled()`
  `boolean`
  `isVisible()`

- ## Method Details

  - ### getId

    @NotNull String getId()
    The install4j form-component id (the id set in the IDE on the form component).

  - ### isEnabled

    boolean isEnabled()

  - ### isVisible

    boolean isVisible()

  - ### assertEnabled

    FormComponentHandle assertEnabled()

  - ### assertDisabled

    FormComponentHandle assertDisabled()

  - ### assertVisible

    FormComponentHandle assertVisible()

  - ### assertInvisible

    FormComponentHandle assertInvisible()